Bug 211242 - www/lynx: Add support for external applications (--enable-externs)
Summary: www/lynx: Add support for external applications (--enable-externs)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Pawel Pekala
URL:
Keywords: easy, feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-07-20 13:04 UTC by kaltheat
Modified: 2016-08-04 17:35 UTC (History)
3 users (show)

See Also:
jharris: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch that simply adds compile option to CONFIGURE_ARGS of Makefile (446 bytes, patch)
2016-07-20 17:29 UTC, kaltheat
no flags Details | Diff
patch that adds compile option to CONFIGURE_ARGS of Makefile if proper port option was selected (default) (676 bytes, patch)
2016-07-20 17:30 UTC, kaltheat
no flags Details | Diff
patch that adds compile option (using option helper) if port option was selected (default) (690 bytes, patch)
2016-07-21 08:43 UTC, kaltheat
koobs: maintainer-approval? (jharris)
Details | Diff
output of "poudriere testport" on 10.2-RELEASE amd64 (82.11 KB, text/plain)
2016-08-01 22:06 UTC, kaltheat
no flags Details
output of "poudriere testport" on 10.2-RELEASE i386 (82.15 KB, text/plain)
2016-08-01 22:19 UTC, kaltheat
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaltheat 2016-07-20 13:04:08 UTC
Hi,

is there a reason why lynx is compiled without external application support?

If it was compiled with that feature one can use
'.' to open current link in external application and
',' to open current page in external application.

I want to use this feature to play video links directly with mpv/mplayer.

It seems (I already tested this) that this feature easily can be enabled by adding
  --enable-externs
to CONFIGURE_ARGS in Makefile of this port. As this is easily fixable I don't attach a patch file ...

Regards,
kaltheat
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-20 13:08:18 UTC
A patch file would be fantastic, as it enabled the MAINTAINER to approve/deny the attachment, with tracking of that approval in the issue tracker.

Thank you for your report :)
Comment 2 kaltheat 2016-07-20 17:29:27 UTC
Created attachment 172753 [details]
patch that simply adds compile option to CONFIGURE_ARGS of Makefile
Comment 3 kaltheat 2016-07-20 17:30:49 UTC
Created attachment 172754 [details]
patch that adds compile option to CONFIGURE_ARGS of Makefile if proper port option was selected (default)
Comment 4 kaltheat 2016-07-20 17:34:47 UTC
(In reply to kaltheat from comment #3)
This patch is for the case that someone has a problem with generally enabling external application support. Maybe there is a good (security?) reason to dismiss it?!
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-21 00:54:12 UTC
Comment on attachment 172753 [details]
patch that simply adds compile option to CONFIGURE_ARGS of Makefile

I think the OPTION version of the patch is better as it provides a user configurable knob (choice).

the .if ${PORT_OPTIONS:MEXTERNALS} block should use options helpers instead:

EXTERNALS_CONFIGURE_ENABLE=externs instead
Comment 6 kaltheat 2016-07-21 08:43:58 UTC
Created attachment 172773 [details]
patch that adds compile option (using option helper) if port option was selected (default)
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-21 08:54:48 UTC
Thank you kaltheat.

All that's needed now is confirmation of QA passing (portlint, poudriere), and maintainer approval
Comment 8 kaltheat 2016-08-01 22:06:30 UTC
Created attachment 173176 [details]
output of "poudriere testport" on 10.2-RELEASE amd64
Comment 9 kaltheat 2016-08-01 22:17:03 UTC
Comment on attachment 173176 [details]
output of "poudriere testport" on 10.2-RELEASE amd64

There is a problem with OpenSSL-knob:
"USE_OPENSSL is deprecated, please use USES=ssl".
Has nothing to do with this PR, could be handled in seperate PR.

There are some problems with staging not related to this PR:
"====> Running Q/A tests (stage-qa)
Warning: Bad symlink '/usr/local/share/lynx_help/COPYING' pointing to an absolute pathname '/usr/local/share/doc/lynx/COPYING'
Warning: Bad symlink '/usr/local/share/lynx_help/COPYHEADER.asc' pointing to an absolute pathname '/usr/local/share/doc/lynx/COPYHEADER.asc'
Warning: Bad symlink '/usr/local/share/lynx_help/COPYHEADER' pointing to an absolute pathname '/usr/local/share/doc/lynx/COPYHEADER'
Warning: Bad symlink '/usr/local/share/lynx_help/COPYING.asc' pointing to an absolute pathname '/usr/local/share/doc/lynx/COPYING.asc'"
Comment 10 kaltheat 2016-08-01 22:19:24 UTC
Created attachment 173177 [details]
output of "poudriere testport" on 10.2-RELEASE i386
Comment 11 jharris 2016-08-03 00:04:29 UTC
Maintainer approves.  Thanks!
Comment 12 commit-hook freebsd_committer 2016-08-04 17:34:37 UTC
A commit references this bug:

Author: pawel
Date: Thu Aug  4 17:34:24 UTC 2016
New revision: 419634
URL: https://svnweb.freebsd.org/changeset/ports/419634

Log:
  - Add external applications support, on by default [1]
  - Remove L_LIB variable, it's only used in one place
  - Convert SSL option to helpers, port links to ssl libs only when SSL=on
  - Move variable setting before options block
  - Make symlinks point to relative not full paths, post-install should
    be executed only when DOCS=on otherwise build fails as files
    are not there

  PR:		211242 [1]
  Submitted by:	kaltheat@gmail.com [1]
  Approved by:	maintainer [1]

Changes:
  head/www/lynx/Makefile